> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get valorantv1queue status



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v1/queue-status/{affinity}
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
paths:
  /valorant/v1/queue-status/{affinity}:
    get:
      tags:
        - valorant
      operationId: QueueStatus
      parameters:
        - name: affinity
          in: path
          description: Region/affinity (e.g., na, eu, ap, kr)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Queue status retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QueueStatusV1'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '404':
          description: Region not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    QueueStatusV1:
      type: object
      required:
        - status
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/QueueStatusV1Data'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    QueueStatusV1Data:
      type: object
      required:
        - mode
        - mode_id
        - enabled
        - team_size
        - number_of_teams
        - party_size
        - high_skill
        - ranked
        - tournament
        - skill_disparity
        - required_account_level
        - game_rules
        - platforms
        - maps
      properties:
        enabled:
          type: boolean
        game_rules:
          $ref: '#/components/schemas/QueueStatusV1GameRules'
        high_skill:
          $ref: '#/components/schemas/QueueStatusV1HighSkill'
        maps:
          type: array
          items:
            $ref: '#/components/schemas/QueueStatusV1Maps'
        mode:
          type: string
        mode_id:
          type: string
        number_of_teams:
          type: integer
          format: int32
        party_size:
          $ref: '#/components/schemas/QueueStatusV1PartySize'
        platforms:
          type: array
          items:
            type: string
        ranked:
          type: boolean
        required_account_level:
          type: integer
          format: int32
        skill_disparity:
          type: array
          items:
            $ref: '#/components/schemas/QueueStatusV1SkillDisparity'
        team_size:
          type: integer
          format: int32
        tournament:
          type: boolean
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    QueueStatusV1GameRules:
      type: object
      required:
        - overtime_win_by_two
        - allow_lenient_surrender
        - allow_drop_out
        - assign_random_agents
        - skip_pregame
        - allow_overtime_draw_vote
        - overtime_win_by_two_capped
        - premier_mode
      properties:
        allow_drop_out:
          type: boolean
        allow_lenient_surrender:
          type: boolean
        allow_overtime_draw_vote:
          type: boolean
        assign_random_agents:
          type: boolean
        overtime_win_by_two:
          type: boolean
        overtime_win_by_two_capped:
          type: boolean
        premier_mode:
          type: boolean
        skip_pregame:
          type: boolean
    QueueStatusV1HighSkill:
      type: object
      required:
        - max_party_size
        - min_tier
        - max_tier
      properties:
        max_party_size:
          type: integer
          format: int32
        max_tier:
          type: integer
          format: int32
        min_tier:
          type: integer
          format: int32
    QueueStatusV1Maps:
      type: object
      required:
        - map
        - enabled
      properties:
        enabled:
          type: boolean
        map:
          $ref: '#/components/schemas/QueueStatusV1Map'
    QueueStatusV1PartySize:
      type: object
      required:
        - min
        - max
        - invalid
        - full_party_bypass
      properties:
        full_party_bypass:
          type: boolean
        invalid:
          type: array
          items:
            type: integer
            format: int32
        max:
          type: integer
          format: int32
        min:
          type: integer
          format: int32
    QueueStatusV1SkillDisparity:
      type: object
      required:
        - tier
        - name
        - max_tier
      properties:
        max_tier:
          $ref: '#/components/schemas/QueueStatusV1IDNamePair'
        name:
          type: string
        tier:
          type: integer
          format: int32
    QueueStatusV1Map:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: string
        name:
          type: string
    QueueStatusV1IDNamePair:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: integer
          minimum: 0
        name:
          type: string

````